Jump to content
Koko_NYC

Help: how to draw survey azimuth in CAD?

Recommended Posts

Koko_NYC

I think I offered to help this friend too soon and overestimated my CAD skills. I know this is doable in CAD but I can't figure how to do it. 

 

I need to draw this land line in CAD from the table of points surveyed, which consists of an angle and a distance. 

 

I've read 3 threads that discuss this but they all use a system of units that requires the direction and distance but my survey table only gives me angle and distances:

 

Point 1 to 2: -->  323° 36.9" @ 50.3 Meters

Point 2 to 3: --> 306° 52.2" @ 35.17 Meters

 

 

I've come across multiple threads with LISP but I don't know much about the subject to understand whether I need to give the direction of the line (N, E, S, W). It seems like it is required? But in my case all I have is an angle.

 

 

Could someone point me in the right direction? And I promise I will never again offer CAD help to my friends. 

 

 

 

Survey Points.JPG

Share this post


Link to post
Share on other sites
Koko_NYC

Here are the threads that I have read and seem to offer a solution, but they do not match the format of my table of survey:

 

https://www.cadtutor.net/forum/topic/62717-drawing-a-line-using-azimuth/

 

https://www.cadtutor.net/forum/topic/45578-help-distance-and-azimuth-lisp

 

https://www.cadtutor.net/forum/topic/51219-draw-lines-by-bearing

 

 

I am hoping that someone who actually does survey drawings could point me to the right LISP that I should be able to use with my survey table. 

 

Thanks in advance!

Share this post


Link to post
Share on other sites
dtkell

I would say that all which is needed is the angle and distance entered as "x.xM<yyy.y".
The N, E, S, W designations are just surveyor nomenclature for the 4 quadrants of a circle (360 degrees).

Share this post


Link to post
Share on other sites
Koko_NYC
1 hour ago, dtkell said:

I would say that all which is needed is the angle and distance entered as "x.xM<yyy.y".
The N, E, S, W designations are just surveyor nomenclature for the 4 quadrants of a circle (360 degrees).

 

Great, because that is all that has been provided to me - I should be able figure out the orientation (N, E, S, W) from any given angle but so does the computer!
 

Share this post


Link to post
Share on other sites
eldon
Posted (edited)
3 hours ago, Koko_NYC said:

....I need to draw this land line in CAD from the table of points surveyed, which consists of an angle and a distance.

 

Your table consists of azimuths and distances. An azimuth is the clockwise angle from North, so the angle itself is in the range 0 to 360, and always tells you the absolute direction of a line. It is also known as a whole circle bearing. N, S, E and W have no use at all.

 

3 hours ago, Koko_NYC said:

 ....I've read 3 threads that discuss this but they all use a system of units that requires the direction and distance but my survey table only gives me angle and distances:

 

Point 1 to 2: -->  323° 36.9" @ 50.3 Meters

Point 2 to 3: --> 306° 52.2" @ 35.17 Meters

.....

 

If you had a digital table of readings, then Lisp could give a fast solution, but as you are going to have to type in the data, you might as well do it by hand, using existing commands.

 

You have misread the angle data - it reads degrees and minutes (the minutes have a decimal).

 

So, to get you started, set up your angle system, to give you clockwise angles and a base angle at North. System variables ANGDIR to be 1 and ANGBASE to be 90.

 

Then you get started. Then start the line command. The first point is wherever you pick on the screen, and then type @50.30<323d36.9' ENTER, and you are off!!

Edited by eldon
  • Thanks 1

Share this post


Link to post
Share on other sites
BIGAL

Like Eldon using a lisp you can do the entry a bit easier by entering distance, degs, minutes and seconds then draw a line. I have some things to do right now. Will try to post later.

 

image.png.fd56ea00fc3d1e3c3387d6bf72babab1.png

 

 

Share this post


Link to post
Share on other sites
Koko_NYC
On 4/6/2020 at 1:16 PM, eldon said:

 

Your table consists of azimuths and distances. An azimuth is the clockwise angle from North, so the angle itself is in the range 0 to 360, and always tells you the absolute direction of a line. It is also known as a whole circle bearing. N, S, E and W have no use at all.

 

 

If you had a digital table of readings, then Lisp could give a fast solution, but as you are going to have to type in the data, you might as well do it by hand, using existing commands.

 

You have misread the angle data - it reads degrees and minutes (the minutes have a decimal).

 

So, to get you started, set up your angle system, to give you clockwise angles and a base angle at North. System variables ANGDIR to be 1 and ANGBASE to be 90.

 

Then you get started. Then start the line command. The first point is wherever you pick on the screen, and then type @50.30<323d36.9' ENTER, and you are off!!

 

 

Very clear! Thank you! It makes so much more sense now. I suspected I was in the right track but needed this confirmation.

 

Thank you very much!

Share this post


Link to post
Share on other sites
BIGAL
Posted (edited)

Try this 

Multi GETVALS.lsp

https://www.cadtutor.net/forum/topic/70245-help-how-to-draw-survey-azimuth-in-cad/


(defun c:brgd ( / angbasee angdirr aunitss def0 def1 def2 def3 pt1)

(defun brgdist ( / degs mins secs)
(alert "To exit just enter distance as 0.0")

(setq ans (AH:getvalsm (list "DIST BRG" "Dist" 5 4 def0 "Degs" 5 4  def1 "Mins" 5 4 def2 "Secs" 5 4 def3)))
(setq dist (atof (nth 0 ans)))
(setq degs (atof (nth 1 ans)))
(setq mins (/ (atof (nth 2 ans))60.0))
(setq secs (/ (atof (nth 3 ans)) 3600.0))
(setq brg (+ degs mins secs))
(setq def0 (rtos dist 2 0) def1 (rtos degs 2 2) def2 (rtos mins 2 2) def3 (rtos secs 2 2))
)

; starts here
(SETQ ANGBASEE (GETVAR "ANGBASE"))
(SETQ ANGDIRR (GETVAR "ANGDIR"))
(SETQ AUNITSS (GETVAR "AUNITS"))
(SETVAR "ANGDIR" 1)
(SETVAR "AUNITS" 0)
(SETVAR "ANGBASE" (/ pi 2.0))

(if (not AH:getvalsm)(load "Multi Getvals.lsp"))
(setq def0 "0" def1 "0" def2 "0" def3 "0")

(setq pt1 (getpoint "\nPick start point"))
(brgdist)

(while (/= dist 0.0)
(command "line" pt1 (strcat "@" (rtos dist 2 5) "<" (rtos brg 2 7)) "")
(setq pt1 (getvar 'lastpoint))
(brgdist)
)

(SETVAR "ANGBASE" angbasee)
(SETVAR "ANGDIR" angdirr)
(SETVAR "AUNITS" aunitss)
)

 

Edited by BIGAL

Share this post


Link to post
Share on other sites
eldon

@BIGAL - I have only a hazy fundamental knowledge of lisp, but does your lisp cope with Minutes with a decimal, and no Seconds?

 

What you have posted would work with most normal usage, but the OP only has (it appears) a printed list on the drawing, and the azimuth is quoted as DDD° MM.M'

Share this post


Link to post
Share on other sites
Koko_NYC
9 hours ago, eldon said:

What you have posted would work with most normal usage, but the OP only has (it appears) a printed list on the drawing, and the azimuth is quoted as DDD° MM.M'

 

 

You are correct, my table follows this format: DDD° MM.M'

Does the LISP work? 

Share this post


Link to post
Share on other sites
eldon

I have not tried it, because, in this instance, I would type out all the data by hand.

 

If you are familiar with lisp, have a go yourself. If lisp is a mystery to you, perhaps now is not the best time to experiment!!

Share this post


Link to post
Share on other sites
BIGAL

Yes as the mins are / 60.0 so if decimal still works. try 45 30.5 which becomes 45d30'30" or 45.50833333

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...